package ARDB::Plugin::Processing::Test;

use ARDB::Plugin::Processing;
use ARDB::Common;

use strict;
use vars qw ( @ISA );

@ISA = ('ARDB::Plugin::Processing');

sub get_record_types
 {
  my $self = shift;

  return ['ReDIF-Person 1.0', 'ReDIF-Software 1.0'];
 }

sub process_record
 {
  my $self = shift;
  my $record = shift;
  
  my $id = $record -> id;
  debug "test '$id' record";
 }

sub require
 {
  my $self = shift;
  
  return ['ARDB::Plugin::Processing::ShortIDs'];
 }
